package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_title_his_cache")
@IdClass(ArticleTitleHisCache.PK.class)
public class ArticleTitleHisCache implements Serializable {

    @Id
    @Column(name = "title_md5")
    private String titleMd5;
    @Id
    @Column(name = "type")
    private String type;
    @Column(name = "title")
    private String title;
    @Column(name = "crawler_title")
    private String crawlerTitle;
    @Column(name = "category")
    private String category;
    @Column(name = "his_publish_article_list")
    private String hisPublishArticleList;
    @Column(name = "t0_fission_by_fans_mean")
    private Double t0FissionByFansMean;
    @Column(name = "t0_fission_by_read_avg_mean")
    private Double t0FissionByReadAvgMean;
    @Column(name = "t0_fission_by_read_avg_correlation_mean")
    private Double t0FissionByReadAvgCorrelationMean;
    @Column(name = "t0_fission_by_fans_sum_avg")
    private Double t0FissionByFansSumAvg;
    @Column(name = "t0_fission_by_read_avg_sum_avg")
    private Double t0FissionByReadAvgSumAvg;
    @Column(name = "t0_fission_de_weight_by_read_avg_sum_avg")
    private Double t0FissionDeWeightByReadAvgSumAvg;
    @Column(name = "create_timestamp")
    private Long createTimestamp;
    @Column(name = "update_timestamp")
    private Long updateTimestamp;


    @Data
    public static class PK implements Serializable {

        @Column(name = "title_md5")
        private String titleMd5;
        @Column(name = "type")
        private String type;

        public PK() {
        }

    }
}
